# draugr.writers.mixins.figure_writer_mixin.FigureWriterMixin

class draugr.writers.mixins.figure_writer_mixin.FigureWriterMixin

  Bases: `ABC`

  Writer mixin that provides an interface for ‘writing’ figures

  __init__()

  Methods

  `__init__`() |

  `figure`(tag, figure, step, **kwargs)

  param figure

  abstract figure(tag: str, figure: Figure, step: int, **kwargs) → None

    > param figure

    Parameters

      - tag –

      - step –

      - kwargs –